
From: "Zhu, Yi" <yi.zhu@intel.com>

This patch gives some clues to the user when swapping is not enabled during
swsusp.  Please apply.

Signed-off-by: Zhu Yi <yi.zhu@intel.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/power/swsusp.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletion(-)

diff -puN kernel/power/swsusp.c~swsusp-print-error-message-when-swapping-is-disabled kernel/power/swsusp.c
--- 25/kernel/power/swsusp.c~swsusp-print-error-message-when-swapping-is-disabled	2004-10-26 01:22:51.360698832 -0700
+++ 25-akpm/kernel/power/swsusp.c	2004-10-26 01:22:51.364698224 -0700
@@ -847,8 +847,11 @@ asmlinkage int swsusp_save(void)
 {
 	int error = 0;
 
-	if ((error = swsusp_swap_check()))
+	if ((error = swsusp_swap_check())) {
+		printk(KERN_ERR "swsusp: FATAL: cannot find swap device, try "
+				"swapon -a!\n");
 		return error;
+	}
 	return suspend_prepare_image();
 }
 
_
